Package Details: perl-pod-spell 1.17-1

Git Clone URL: https://aur.archlinux.org/perl-pod-spell.git (read-only)
Package Base: perl-pod-spell
Description: a formatter for spellchecking Pod
Upstream URL: https://metacpan.org/release/Pod-Spell
Licenses: GPL, PerlArtistic
Submitter: xenoterracide
Maintainer: jnbek
Last Packager: jnbek
Votes: 45
Popularity: 0.228788
First Submitted: 2010-04-28 05:16
Last Updated: 2015-09-18 16:01

Latest Comments

harpchad commented on 2015-09-18 13:37

Needs a dependency on perl-file-sharedir-install

jnbek commented on 2015-08-18 19:45

ahem... perl-file-sharedir-projectdistdir is missing...

hemant_ng commented on 2015-08-08 16:12

upgrading this pkg ( 1.15-1 -> 1.17-1) gives below error :

Test Summary Report
-------------------
t/00-compile.t (Wstat: 768 Tests: 3 Failed: 3)
Failed tests: 1-3
Non-zero exit status: 3
t/basic.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/debug.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/get-stopwords.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/text-block.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/utf8.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
Files=7, Tests=4, 1 wallclock secs ( 0.06 usr 0.02 sys + 0.59 cusr 0.07 csys = 0.74 CPU)
Result: FAIL
Failed 6/7 test programs. 3/4 subtests failed.
Makefile:903: recipe for target 'test_dynamic' failed
make: *** [test_dynamic] Error 2
==> ERROR: A failure occurred in check().
Aborting...
==> ERROR: Makepkg was unable to build perl-pod-spell.
==> Restart building perl-pod-spell ? [y/N]
==> ---------------------------------------
==>

jnbek commented on 2015-05-07 17:55

perl-file-sharedir, perl-path-isdev and perl-path-finddev are all check dependencies for perl-file-sharedir-projectdistdir already, it seems a bit too redundant to be having them as deps on this package too...

bkhl commented on 2015-05-07 04:21

Seems to also require perl-file-sharedir, perl-path-isdev and perl-path-finddev

clerafel commented on 2014-09-23 00:40

last try, install OK. Thank you

jnbek commented on 2014-09-22 20:00

There are some dependencies of this pkg's dependencies that are broken. I will sally forth to correct what I can shortly.

cmsigler commented on 2014-09-22 19:56

Hi,

@Sylvain_07: The error message helped me -- I installed perl-file-sharedir-install from AUR. After that, perl-pod-spell installed without error.

HTH.

Clemmitt

Sylvain_07 commented on 2014-09-22 15:51

Can't locate File/ShareDir/Install.pm in @INC (you may need to install the File::ShareDir::Install module) (@INC contains: /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at Makefile.PL line 10.
BEGIN failed--compilation aborted at Makefile.PL line 10.

clerafel commented on 2014-09-20 01:59

i cant install this package. this show in terminal:

(Paquete sin soporte: ¡podría ser peligroso!)
==> ¿Quiere editar PKGBUILD? [S/n] ("A" para anular)
==> ------------------------------------------------
==> n

==> dependencias de perl-pod-spell:
- perl-class-tiny (ya instalado)
- perl-file-sharedir-projectdistdir>=1.000 (ya instalado)
- perl-lingua-en-inflect (ya instalado)


==> Continuar compilando perl-pod-spell? [S/n]
==> ------------------------------------------
==>
==> Compilando e instalando el paquete
==> Creando el paquete: perl-pod-spell 1.15-1 (vie sep 19 20:57:56 COT 2014)
==> Resolviendo dependencias...
==> Verificando conflictos...
==> Recibiendo fuentes...
-> Descargando Pod-Spell-1.15.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 160 100 160 0 0 660 0 --:--:-- --:--:-- --:--:-- 663
100 29897 100 29897 0 0 23997 0 0:00:01 0:00:01 --:--:-- 70345
==> Validando el archivo fuente con md5sums...
Pod-Spell-1.15.tar.gz ... Aprobado
==> Validando el archivo fuente con sha512sums...
Pod-Spell-1.15.tar.gz ... Aprobado
==> Descomprimiendo fuentes...
-> Extrayendo Pod-Spell-1.15.tar.gz con bsdtar
==> Iniciando build()...
Can't locate File/ShareDir/Install.pm in @INC (you may need to install the File::ShareDir::Install module) (@INC contains: /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at Makefile.PL line 10.
BEGIN failed--compilation aborted at Makefile.PL line 10.
==> ERROR: Se produjo un error en build().
Cancelando...
==> ERROR: Makepkg no ha podido compilar perl-pod-spell.
==> ¿Reiniciar la compilación de perl-pod-spell? [s/N]

All comments